qrerun(1B)

NAME
qrerun - requeue a PBS job

SYNOPSIS
qrerun [-W force] <job ID> [<job ID> ...]
qrerun --version

DESCRIPTION
If possible, kills the specified job(s), then requeues each job in the execution queue from which it was run. The qrerun command can be used on jobs, job arrays, subjobs, and ranges of subjobs. If you give a job array identifier as an argument, the job array is returned to its initial state at submission time, or to its altered state if it has been qaltered. All of that job array's subjobs are requeued, which includes those that are currently running, and those that are completed and deleted. If a you give a subjob or range as an argument, those subjobs are requeued. Restrictions
If a job is marked as not rerunnable, qrerun neither kills nor requeues the job. See the -r option for the qsub and qalter commands, and the Rerunable job attribute. The qrerun command cannot requeue a job or subjob which is not running, is held, or is suspended. Required Privilege
PBS Manager or Operator privilege is required to use this command.

OPTIONS

-W force
    The job is to be requeued even if the vnode on which the job is executing is unreachable, or if the job's substate is provisioning.

--version
    The qrerun command returns its PBS version information and exits. This option can only be used alone.

OPERANDS
The qrerun command accepts one or more job ID operands of the form:
    <sequence number>[.<server name>][@<server name>]
    <sequence number>[][.<server name>][@<server name>]
    <sequence number>[<index>][.<server name>][@<server name>]
    <sequence number>[<index start>-<index end>][.<server name>]
    [@<server name>]
Note that some shells require that you enclose a job array identifier in double quotes.

STANDARD ERROR
The qrerun command writes a diagnostic message to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon successful processing of all operands

Greater than zero
    Upon failure to process any operand

SEE ALSO
The PBS Professional User's Guide, the PBS Professional Administrator's Guide,
qsub(1B), qalter(1B), pbs_alterjob(3B), pbs_rerunjob(3B)